/********** Template CSS **********/
:root {
  /* Custom Color*/
  /*--primary: #d71f36;
  --light: #f3f6f9;
  --dark: #191c24;
  --dark-gray: #777777;
  --light-gray: #999999;
    */
/*new css*/
    --primary: #d71f36;
    --light: #fff;
    --dark: #000;
    --dark-gray: #0c1337 ;
    --light-gray: #ffff ;

  }

/*Azfar*/

.btn {
    transition: 0.5s;
    font-size: 13px !important;
}

form#orderStatusForm a, form#orderStatusForm button {
    font-size: 14px;
    padding: 5px 10px !important;
    border-radius: 0 !important;
    line-height: 14px;
    margin: 0 3px !important;
}



.dataTable td button.btn-danger, .dataTable td button.btn-primary, .dataTable td button.btn-success {
    padding: 0px 13px !important;
}

.dataTable td button.btn-danger, .dataTable td button.btn-primary, .dataTable td button.btn-success {
    padding: 0px 13px !important;
    /* height: 20px !important; */
    margin-top: 15px !important;
    font-size: 8px !important;
}

/*Azfar*/



.modal-backdrop {
  z-index: 1040 !important;
}

/* Make sure modal sits above backdrop but don't force display */
.modal {
  z-index: 1050 !important;
}

/* iOS scroll-lock fix */
body.modal-open {
  overflow: hidden !important;
  position: fixed;
  width: 100%;
}


.modal { outline: 24px solid red; }
.modal-backdrop { outline: 24px solid blue; }


/*newcss*/
@media screen and (max-width: 768px) {
  .modal-dialog {
    margin: 1.75rem auto;
    width: 90% !important;
    max-height: calc(100vh - 3.5rem);
  }
  
 

  .modal-content {
    max-height: 100%;
    overflow-y: auto;
    border-radius: 8px;
    padding: 15px;
    background-color: #fff !important;
  }

  
form#orderStatusForm a, form#orderStatusForm button{font-size:8px !important;}

.container-fluid.customer_quote_add.py-4.px-4 {
    padding: 25px 0 !important;!i;!;
}

.container-fluid.customer_quote_add.py-4.px-4 .col-8 {
    width: 80%;
    text-align: left !important;!I;!;
}

.container-fluid.customer_quote_add.py-4.px-4 .col-8 form {}

.container-fluid.customer_quote_add.py-4.px-4 .col-8 form label {
    text-align: left !important;!i;!;
}


div#addInvoiceTable_wrapper {}

button#submit-btn {
    font-size: 13px !important;!i;!;
}

table#addInvoiceTable tr td {
    font-size: 8px;
}

table#addInvoiceTable tr td input.form-control {
    font-size: 8px;
}


/*Azfar*/
    
.dashboard-boxes .col-md-3 {
    width: 33% !important;
    max-width: 33%;
    margin: 25px 0 0px 0;
}
form#orderStatusForm {}

form#orderStatusForm .form-group {}
form#orderStatusForm .form-group a,form#orderStatusForm .form-group button {
    font-size: 13px !important;
    padding: 6px 10px !important;
}
form#orderStatusForm .form-group button {
        margin-top: 14px;
        padding: 3px 10px !important;
        font-size: 8px !important;
}



/*css start from here customer todays quote    */


 table#dataTable1 tr,table#dataTable1 tr td {
    font-size: 8px !important;
}

table#dataTable1 tr span.btn.btn-sm.btn-secondary.rounded-pill.m-2 {
    font-size: 8px !important;
}

table#dataTable1 tr a.btn {
    font-size: 8px !important;
}
table#dataTable1 tr td:nth-child(1), table#dataTable1 tr td:nth-child(2), table#dataTable1 tr td:nth-child(3), table#dataTable1 tr td:nth-child(4), table#dataTable1 tr td:nth-child(5), table#dataTable1 tr td:nth-child(6),table#dataTable1 tr td:nth-child(7) {
    overflow-wrap: anywhere !important;
}
/*css end from here customer todays quote    */


/*all quotes page css*/

table#dataTable2 tr td .btn {
    overflow-wrap: break-word;
    font-size: 8px !important;
}

/*all quotes page css end*/


/*customer todays order page*/

table#dataTable1 tr td a.text-info .btn {
    font-size: 8px;
}

/*customer todays order page end here*/
    
table#dataTable2 {
    max-width: 100vw;
    overflow: hidden !important;
}

table#dataTable2,table#dataTable2tr, table#dataTable2 tr td {
      width: 100%;
        font-size: 9px;
        overflow-wrap: anywhere !important;
}

table#dataTable2 tr td a {
    word-wrap: break-word;
}

table#dataTable2 tr td a,table#dataTable2 tr td button {
    font-size: 8px;
    padding: 2px 4px;
    margin: 14px 0 !important;
}

.bg-light.text-center.rounded.p-4 {}

.container-fluid.pt-4.px-4 {
    padding: 0 !important;
}

table#dataTable2 {
    width: 99vw !important;
    word-wrap: break-word !important;
    max-width: 100%;
}

.table.dataTable thead>tr>th.dt-orderable-asc, table.dataTable thead>tr>th.dt-orderable-desc {
         padding: 0 0px 0 11px !important;
        font-size: 8px !important;

}

td.text-center.user-nick a {
    overflow-wrap: anywhere !important;
}

td.text-center.email-column {
    overflow-wrap: anywhere !important;
}


td.text-center.company-column {
    word-wrap: break-word !important;
    white-space: break-spaces;
}

table#dataTable2 {
    max-width: 100vw;
    overflow: hidden !important;
}

table#dataTable2,table#dataTable2tr, table#dataTable2 tr td {
    width: 100%;
    font-size: 8px;
}

table#dataTable2 tr td a,table#dataTable2 tr td button {
    font-size: 7px;
    padding: 2px 4px;
    margin: 14px 0 !important;
    
}

.bg-light.text-center.rounded.p-4 {}

.container-fluid.pt-4.px-4 {
    padding: 0 !important;
}

table#dataTable2 {
    width: 99vw !important;
    word-wrap: break-word !important;
    max-width: 100%;
}

.table.dataTable thead>tr>th.dt-orderable-asc, table.dataTable thead>tr>th.dt-orderable-desc {
    padding: 0;
}

td.text-center.company-column {
    word-wrap: break-word !important;
    white-space: break-spaces;
}

div.dt-container div.dt-layout-row:not(.dt-layout-table) div.dt-layout-cell>* {
    display: flex;
    flex-direction: row;
    width: 50%;
    float: inline-end;
}

div.dt-container div.dt-layout-row:not(.dt-layout-table) div.dt-layout-cell>* label {
    display: block !important;
}

i {}

.dt-length {float: right !important;width: 99% !important;}

.dt-search {
    width: 100% !important;
}

}
/*newcssend*/

@media only screen and (max-width: 1400px) {

    .delete-file-btn {
    height: 31px;
    font-size: 11px !important;
    margin-top: 12px !important;
    
    .recover-file-btn {
            height: 31px;
            font-size: 11px !important;
            margin-top: 14px !important;
        }
}

table#dataTable1 span.btn.btn-sm.btn-secondary.rounded-pill.m-2 {
    font-size: 11px;
    margin-top: 12px !important;
    line-height: 10px;
}

span.btn {
    display: inline-block !important;  /* Forces block styling like buttons */
    padding: 5px 10px !important;  /* Ensures proper spacing */
    font-size: 11px !important;  
    margin-top: 12px !important;
    line-height: 10px !important;
    cursor: pointer;  /* Makes it behave like a button */
    text-align: center;
    color: white !important;  
    border-radius: 50px; /* Ensures rounded-pill effect */
}




}
.header .logo {
    width: 120px !important;
    height: auto !important;
}

p, ul li {
    font-size: 14px;
}

body h1 {
   
}

p.text {
    font-size: 23px !important;
}

h1.text-style-5 {
    font-size: 30px;
}

.main-container h2 {
    font-size: 26px;
}

.main-container {
    padding: 0px 0 !important;
    padding-bottom: 20px !important;
}

.login-form {
}

.login-form .text-5 {
    font-size: 28px !important;
    margin-bottom: 5px !important;
}

.login-form.w-100 {
}

.form-check {
    padding-left: 0 !important;
}

.form-check p.text-style-4 {
    font-size: 20px !important ;
    margin: 0 !important;
}

.login-form .btn {
    margin-top: 12px !important;
}




.login-form .text-9, .login-form .text-9 a span {
    padding: 0;
    margin: 0px 0 0 0;
    line-height: 0;
    font-size: 21px !important;
}

.main-container .row.mt-4.justify-content-center {
    margin-top: 0.91rem !important;
}

.table-bordered > :not(caption) > * {
font-size: 14px !important;
}


div.dt-container div.dt-layout-full>*:only-child td, div.dt-container div.dt-layout-full>*:only-child td button {
    /*font-size: 14px;*/
    font-size: clamp(11px, 1vw, 11px);
    padding: 0px;
    text-align: center;
    
}

.dataTable td button.btn-danger,
.dataTable td button.btn-primary,
.dataTable td button.btn-success {
    padding: 1px 5px !important;
    border-radius: 10px !important;
    margin-top: 3px;
}



.custom-btn {
    font-size: 11px !important;
    line-height: 8px !important;
    padding-top: 5px !important;
    margin-top: 18px !important;
}

.custom-btn2 {
    font-size: 11px !important;
    line-height: 8px !important;
    padding-top: 5px !important;
    margin-top: 15px !important;
}


div.dt-container div.dt-layout-full>*:only-child td a.btn {
    font-size: 11px;
    line-height: 12px !important;
    padding-top: 4px;
    margin-top: 13px !important;
}


.login-form .form-control {
    height: 45px;
    font-size: 15px;
}

.form-check p.text-style-4 {
    font-size: 14px !important;
    margin: 0 !important;
}

.login-form .text-9, .login-form .text-9 a span {
    padding: 0;
    margin: 0px 0 0 0;
    line-height: 0;
    font-size: 14px !important;
}

.login-form {
    width: 80% !important;
    margin: 0 auto;
}
.login-form .btn {
    margin-top: 0px !important;
    margin-bottom: 20px;
}

.delete-file-btn {
    height: 22px;
    font-size: 11px !important;
    margin-top: 14px !important;
}

.recover-file-btn {
    height: 22px;
    font-size: 11px !important;
    margin-top: 14px !important;
}

button.btn.btn-block.mt-4 {}


@media (max-width: 786px) {
    nav.navbar.navbar-expand.bg-outer.navbar-light.sticky-top.px-4.py-3 {
        justify-content: space-between;
        padding: 10px;
    }

    nav.navbar.navbar-expand.bg-outer.navbar-light.sticky-top.px-4.py-3 img {
        display: block;
        width: 50px; /* Adjusted for smaller screens */
    }

    .sidebar.open {
        width: 80%; /* Full width on small screens */
    }

    .sidebar img {
        width: 100px !important; /* Adjust image size for smaller screens */
    }

 

    .dashboard-boxes .col-sm-6 p.my-2.h6 {
        font-size: 12px; /* Slightly larger text for better readability on small screens */
    }

    .content .navbar .navbar-nav {
        padding-left: 10px !important;
    }
    
    nav.navbar.navbar-expand.bg-outer.navbar-light.sticky-top.px-4.py-3 {
    z-index: 999;
}

.dashboard-boxes .col-sm-6 p.my-2.h6 {
    text-align: center;
    font-size: 10px;
    padding: 0;
}

.dashboard-boxes .col-sm-6 .rounded {
    padding: 15px 0 !important;;
}

.dashboard-boxes .col-sm-6 {
        width: 25%;
        max-width: 25%;
    }


}





/*.icon-img-dashboard {*/
/*    width: 30px !important;!i;!;*/
/*    height: 30px;*/
/*}*/

body .icon-img-dashboard {
    width: 30px !important;
    height: 30px !important;
}

.dashboard-boxes {
    padding: 20px !important;!i;!;
}

.dashboard-boxes p.my-2.h6 {
    font-size: 12px;
}

.dashboard-boxes .row.g-4.mt-3 {
    padding: 0;
    margin: 0 !important;!i;!;
}

.sidebar .navbar .navbar-nav .nav-link {
    font-size: 12px;
    padding: 3px 15px !important;
}


  *, html,body,p,u,i,li,a,strong.h1,h2,h3,h4,h5,h6{}

.back-to-top {
  position: fixed;
  display: none;
  right: 45px;
  bottom: 45px;
  z-index: 99;
}

/*** Spinner ***/
#spinner {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-out, visibility 0s linear 0.5s;
  z-index: 99999;
}

#spinner.show {
  transition: opacity 0.5s ease-out, visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}

/*** Button ***/
.btn {
  transition: 0.5s;
  font-size:9px;
  
}

.btn.btn-primary {
  color: #ffffff;
    background-color: #244093;
    border-color: #244093;
}

.btn-square {
  width: 38px;
  height: 38px;
}

.btn-sm-square {
  width: 32px;
  height: 32px;
}

.btn-lg-square {
  width: 48px;
  height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
  padding: 0;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
  border-radius: 50px;
}

/*** Layout ***/
.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  width: 300px;
  height: 100vh;
  overflow-y: auto;
  /*background: var(--dark-gray);*/
    background-image: linear-gradient(#0c1337,#7b1313);
  transition: 0.5s;
  z-index: 999;
}

::-webkit-scrollbar {
	width: 12px;
	background-color: #F5F5F5;
}

::-webkit-scrollbar-track {
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	border-radius: 10px;
	background-color: #F5F5F5;
}

::-webkit-scrollbar-thumb
{
	border-radius: 10px;
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
	background-color: #353a5c ;
}

/* ::-webkit-scrollbar-button {
  display: none;
} */
.content {
  margin-left: 300px;
  min-height: 100vh;
  background: #ffffff;
  transition: 0.5s;
}

@media (min-width: 992px) {
  .sidebar {
    margin-left: 0;
  }

  .sidebar.open {
    margin-left: -300px;
  }

  .content {
    width: calc(100% - 300px);
  }

  .content.open {
    width: 100%;
    margin-left: 0;
  }
}

@media (max-width: 991.98px) {
  .sidebar {
    margin-left: -300px;
  }

  .sidebar.open {
    margin-left: 0;
  }

  .content {
    width: 100%;
    margin-left: 0;
  }
}

/*** Navbar ***/
.sidebar .navbar .navbar-nav .nav-link {
  padding: 7px 20px;
  color: #fff;
  font-weight: 500;
  border-left: 3px solid var(--light);
  border-radius: 0 30px 30px 0;
  outline: none;
}

.sidebar .navbar .navbar-nav .nav-link:hover,
.sidebar .navbar .navbar-nav .nav-link.active {
  color: var(--dark);
  background: var(--light-gray);
  border-color: var(--light);
}

.sidebar .navbar .navbar-nav .nav-link i {
  width: 40px;
  height: 40px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background: #ffffff;
  border-radius: 40px;
}

.sidebar .navbar .navbar-nav .nav-link:hover i,
.sidebar .navbar .navbar-nav .nav-link.active i {
  background: var(--light);
}

.sidebar .navbar .dropdown-toggle::after {
  position: absolute;
  top: 15px;
  right: 15px;
  border: none;
  content: "\f107";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  transition: 0.5s;
}

.sidebar .navbar .dropdown-toggle[aria-expanded="true"]::after {
  transform: rotate(-180deg);
}

.sidebar .navbar .dropdown-item {
  padding-left: 25px;
  border-radius: 0 30px 30px 0;
}

.content .navbar .navbar-nav  {
 /* margin-left: 25px;
  padding: 12px 0;
  color: var(--dark);
  outline: none;
*/

margin-left: 0;
padding: 12px 0 12px 20px;
color: #ffff;
outline: none;
}

.content .navbar .navbar-nav .nav-link:hover,
.content .navbar .navbar-nav .nav-link.active {
  /*color: var(--primary);*/
  color: #000;
  background-color: #fff;
}

.content .navbar .sidebar-toggler,
.content .navbar .navbar-nav .nav-link i {
  width: 40px;
  height: 40px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  /*background: #112754;*/
    background-color:#041b49;
  border-radius: 40px;
}

.content .navbar .dropdown-toggle::after {
  margin-left: 6px;
  vertical-align: middle;
  border: none;
  content: "\f107";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  transition: 0.5s;
}

.content .navbar .dropdown-toggle[aria-expanded="true"]::after {
  transform: rotate(-180deg);
}

@media (max-width: 575.98px) {
  .content .navbar .navbar-nav .nav-link {
    margin-left: 15px;
  }
}

/*** Date Picker ***/
.bootstrap-datetimepicker-widget.bottom {
  top: auto !important;
}

.bootstrap-datetimepicker-widget .table * {
  border-bottom-width: 0px;
}

.bootstrap-datetimepicker-widget .table th {
  font-weight: 500;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
  padding: 10px;
  border-radius: 2px;
}

.bootstrap-datetimepicker-widget table td.active,
.bootstrap-datetimepicker-widget table td.active:hover {
  background: var(--primary);
}

.bootstrap-datetimepicker-widget table td.today::before {
  border-bottom-color: var(--primary);
}

/*** Testimonial ***/
.progress .progress-bar {
  width: 0px;
  transition: 2s;
}

/*** Testimonial ***/
.testimonial-carousel .owl-dots {
  margin-top: 24px;
  display: flex;
  align-items: flex-end;
  justify-content: center;
}

.testimonial-carousel .owl-dot {
  position: relative;
  display: inline-block;
  margin: 0 5px;
  width: 15px;
  height: 15px;
  border: 5px solid var(--primary);
  border-radius: 15px;
  transition: 0.5s;
}

.testimonial-carousel .owl-dot.active {
  background: var(--dark);
  border-color: var(--primary);
}
/* Custom */
.vh100 {
  height: calc(100vh - 75px);
}

.bg-img {
  position: relative;
  background-image: url(../img/bg-img-usa.webp);
  background-position: center;
  background-size: cover;
  height: auto;
  z-index: 1;
}
.bg-img::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(
        0,
        0,
        0,
        0.5
    ); /* Adjust this color and opacity for your overlay */
    z-index: 2; /* Make sure the overlay is above the background image */
}
.bg-imgs {
    position: relative;
    background-image: url(../img/bg-img-usa.webp);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat; /* Ensures the image doesn't repeat */
    height: auto; /* Make sure the container has a height */
    z-index: 1; /* Ensure the container is on top of the pseudo-element */
}

.bg-imgs::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5); /* Adjust the color and opacity */
    z-index: -1; /* Ensure the overlay is behind the content */
}







.login-container {
  position: relative;
  z-index: 3;
}
.text-container {
  position: relative;
  z-index: 3;
}
.sidebar-toggler {
  background-color: var(--dark-gray) !important;
}


/* Jazib */

.content .navbar .navbar-nav , .content .navbar .navbar-nav  {
  color: #ffffff;
}

.content .navbar .navbar-nav , .content .navbar .navbar-nav  {
  color: #ffffff;
}
.nav-link:hover{
  color: #d71f36;
  background-color: #0c1337;
}

.ftr-ready, .ftr-ready a {
  color: #ffffff ;
  font-weight: 600;
}

.icon-img-dashboard{
  margin: 0 auto;
  display: block;
  height: 50px;
  width: 50px !important;
}

.content .navbar .navbar-nav {
  margin-left: 0;
  padding: 12px 0 12px 20px;
  color: #ffffff;
  outline: none;
}

.nav-link {
  margin-left: 0;
  padding: 12px 0 12px 20px;
  color: #030202;
  outline: none;
}
.nav-link:hover i{
  color: #0c1337;
}

.nav-link.active {
  background-color: #ffffff;
  color: #ffffff;
}

.nav-link{
  color: #ffff;
}
.bg-urgent {
    /* background-color: #d1d3d5 !important; */
    background-color:#fff4d5 !important;
}
.bg-account-disable{
  background-color: #f4b4ba !important;

}
.table.dataTable thead>tr>th.dt-orderable-asc, table.dataTable thead>tr>th.dt-orderable-desc, table.dataTable thead>tr>th.dt-ordering-asc, table.dataTable thead>tr>th.dt-ordering-desc, table.dataTable thead>tr>td.dt-orderable-asc, table.dataTable thead>tr>td.dt-orderable-desc, table.dataTable thead>tr>td.dt-ordering-asc, table.dataTable thead>tr>td.dt-ordering-desc {
    position: relative;
    padding-right: 30px;
    font-size: 10px;
    color:#000;
    font-weight:600;
}
/* customer table column*/
   /* Ensure the phone number stays in one line (no wrapping) */
        .phone-column {
           word-wrap: break-word; /* Ensures the email can wrap if it's too long */
            width: 22%; /* Adjust the width as necessary for your layout */
             max-width: 160px; /* Optional: Add a max-width to avoid emails stretching too wide */
        }

        /* Allow email to break into multiple lines */
        .email-column {
            word-wrap: break-word; /* Ensures the email can wrap if it's too long */
            width: 19%; /* You can adjust this width for better control */
          max-width: 105px; /* Optional: Add a max-width to avoid emails stretching too wide */
           
        }
        
         .company-column {
            white-space: nowrap; /* Prevents the phone number from breaking into multiple lines */
            width: 30%; /* Adjust the width as necessary for your layout */
             max-width: 250px; /* Optional: Add a max-width to avoid emails stretching too wide */
        }

        /* You can adjust the column widths here as needed */
        th.phone-column, td.phone-column {
            width: 22%; /* You can modify the percentage to your needs */
              max-width: 160; /* Optional: Add a max-width to avoid emails stretching too wide */
        }
        
         th.company-column, td.company-column {
            width: 30%; /* You can modify the percentage to your needs */
              max-width: 250; /* Optional: Add a max-width to avoid emails stretching too wide */
        }
